RouterCatchAllStrategy (Mule ESB 2.2.1 API)
Keywords: org.mule.api.routing.RouterCatchAllStrategy interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Interface RouterCatchAllStrategy

All Known Implementing Classes:
  AbstractCatchAllStrategy, ForwardingCatchAllStrategy, LoggingCatchAllStrategy, ServiceCatchAllStrategy

    public interface RouterCatchAllStrategy

`RouterCatchAllStrategy` is a strategy interface that allows developers to hook in custom code when an event is being routed on the inbound or outbound but does not match any of the criteria defined for the routing. Think of catch all strategies as a safety net for your events to ensure that all events will get processed. If you do not use conditional routing logic, you will not need a catch all strategy.

Method Summary
`MuleMessage` | `catchMessage(MuleMessage message, MuleSession session)` This method will be invoked when an event is received or being sent where the criteria of the router(s) do not match the current event.

Method Detail

### catchMessage

    MuleMessage catchMessage(MuleMessage message,
                             MuleSession session)
                             throws RoutingException

  This method will be invoked when an event is received or being sent where the criteria of the router(s) do not match the current event.

  Parameters:
    `message` - the current message being processed
    `session` - the current session
  Returns:
    A result message from this processing. Depending on the messaging style being used this might become the response message to a client or remote service call.
  Throws:
    `RoutingException` - if there is a failure while processing this message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.